Package org.eclipse.emf.cdo.common.revision

# Interface CDORevisionCrawler.Handler

All Known Implementing Classes:
  `CDORevisionCrawler.MessageDigestHandler`, `CDORevisionCrawler.OutputStreamHandler`

Enclosing class:
  `CDORevisionCrawler`

public static interface CDORevisionCrawler.Handler
Handler interface for receiving crawl events.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`begin(CDORevisionCrawler crawler)`
Called when crawling begins.
`default boolean`
`beginRevision(CDORevision revision)`
Called when a revision is about to be processed.
`default void`
`endRevision(CDORevision revision)`
Called when a revision has been processed.
`default void`
`finish()`
Called when crawling is finished.
`default void`
`handleFeature(CDORevision revision, EStructuralFeature feature)`
Called for each feature to be handled.

## Method Details

### begin

default boolean begin(CDORevisionCrawler crawler)
Called when crawling begins.

Parameters:
  `crawler` - the crawler instance
Returns:
  true to continue crawling

### beginRevision

default boolean beginRevision(CDORevision revision)
Called when a revision is about to be processed.

Parameters:
  `revision` - the revision
Returns:
  true to continue crawling

### handleFeature

default void handleFeature(CDORevision revision, EStructuralFeature feature)
Called for each feature to be handled.

Parameters:
  `revision` - the revision
  `feature` - the feature

### endRevision

default void endRevision(CDORevision revision)
Called when a revision has been processed.

Parameters:
  `revision` - the revision

### finish

default void finish()
Called when crawling is finished.